autogen.sh 471 Bytes
Newer Older
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23
#! /bin/sh

AM_INSTALLED_VERSION=$(automake --version | sed -e '2,$ d' -e 's/.* \([0-9]*\.[0-9]*\).*/\1/')

if [ "$AM_INSTALLED_VERSION" != "1.10" \
    -a "$AM_INSTALLED_VERSION" != "1.11" ];then
	echo
	echo "You must have automake 1.10 or 1.11 to prepare the GNU build system."
	exit 1
fi

if [ ! -d "m4" ]; then
    mkdir m4
fi

aclocal
autoheader --force
intltoolize -c --automake --force
automake --add-missing --copy --include-deps
autoconf

rm -rf autom4te.cache